=== debian/changelog ===
pg-csv (1.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Feb 2026 19:26:24 +0100
