=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

execute_before_dh_pgxs_test:
	ln -s ../init.sql test/sql/00_init.sql

override_dh_installdocs:
	dh_installdocs --all README.*
