=== debian/changelog ===
pg-csv (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Mar 2026 11:35:01 +0100
