=== debian/control ===
Source: pg-csv
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://github.com/PostgREST/pg_csv/
Vcs-Browser: https://salsa.debian.org/postgresql/pg-csv
Vcs-Git: https://salsa.debian.org/postgresql/pg-csv.git

Package: postgresql-18-pg-csv
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Flexible CSV processing for Postgres
 Postgres has CSV support on the COPY command, but COPY has problems:
  * It uses a special protocol, so it doesn't work with other standard features
    like prepared statements, pipeline mode or pgbench.
  * Is not composable. You can't use COPY inside CTEs, subqueries, view
    definitions or as function arguments.
 .
 pg_csv offers flexible CSV processing as a solution.
  * Includes a CSV aggregate csv_agg() that composes with SQL expressions.
  * Native C extension, x2 times faster than SQL queries that try to output CSV
