=== debian/watch ===
version=4
https://github.com/PostgREST/pg_csv/tags .*/v?(.*).tar.gz
